RPC_GSS_GET_MECH_INFO(3)

NAME
rpc_gss_get_mech_info - Get Quality of Protection information for a security mechanism

SYNOPSIS
#include <rpc/rpcsec_gss.h>
const char **
rpc_gss_get_mech_info(const char *mech, rpc_gss_service_t *service);

DESCRIPTION
This function returns the list of QOP names supported by the GSS_API mechanism named "mech".

PARAMETERS

mech
    The name of a GSS_API mechanism. "kerberos_v5" is currently the only supported mechanism.

service
    Buffer in which maximum service type is planted

RETURN VALUES
If the named GSS_API mechanism is recognized, a list of the supported Qualities of Protection is returned. The maximum supported service type for the mechanism is returned in *service. Otherwise NULL is returned.

Note: The returned QOP list is statically allocated memory. The caller must not free this array.

AVAILABILITY
The rpc_gss_get_mech_info() function is part of libtirpc.

SEE ALSO
rpc(3), gssapi(3), rpcsec_gss(3)

AUTHORS
This manual page was written by Doug Rabson <dfr@FreeBSD.org>.